# EarWebModule

interface EarWebModule : EarModule

A module element in a deployment descriptor like application.xml that has a web child element.

## Functions

getAltDeployDescriptor
Link copied to clipboard
abstract fun getAltDeployDescriptor(): String
getContextRoot
Link copied to clipboard
abstract fun getContextRoot(): String
The context-root element specifies the context root of a web application.
getPath
Link copied to clipboard
abstract fun getPath(): String
setAltDeployDescriptor
Link copied to clipboard
abstract fun setAltDeployDescriptor(altDeployDescriptor: String)
setContextRoot
Link copied to clipboard
abstract fun setContextRoot(contextRoot: String)
setPath
Link copied to clipboard
abstract fun setPath(path: String)
toXmlNode
Link copied to clipboard
abstract fun toXmlNode(parentModule: Node, name: Any): Node